<?php
header('Content-Type: application/json');
include('../../../php/conn.php');
switch ($_POST["accion"]) {
  case 'provincia':
    $provincias = array();
    if ($resprov = mysqli_query($enlace, "SELECT idProv,provincia FROM tb_provincia WHERE idDepa=".$_POST["departamento"].";")) {
      if (mysqli_num_rows($resprov) > 0) {
        while($row = mysqli_fetch_assoc($resprov)) {
          array_push($provincias, $row);
        }
        echo json_encode($provincias);
      }
    }
    break;

  case 'distrito':
    $distritos = array();
    if ($resdist = mysqli_query($enlace, "SELECT idDist,distrito FROM tb_distrito WHERE idProv=".$_POST["provincia"].";")) {
      if (mysqli_num_rows($resdist) > 0) {
        while($row = mysqli_fetch_assoc($resdist)) {
          array_push($distritos, $row);
        }
        echo json_encode($distritos);
      }
    }
    break;
  
  default:
    # code...
    break;
}
?>